summaryrefslogtreecommitdiffstats
path: root/multimedia/gnash/gnash.SlackBuild
diff options
context:
space:
mode:
author Kyle Guinn2012-05-30 01:14:10 +0200
committer Erik Hanson2012-06-03 22:21:12 +0200
commit4d80a1caa74e63debe3234358252c46bf7982024 (patch)
treef3ff85833115b957e2d851d1cba0c671058465ac /multimedia/gnash/gnash.SlackBuild
parent3359bbdb4a1e56448e81a53a1ea9cafb1ed92eb6 (diff)
downloadslackbuilds-4d80a1caa74e63debe3234358252c46bf7982024.tar.gz
multimedia/gnash: Added (SWF movie player)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'multimedia/gnash/gnash.SlackBuild')
-rw-r--r--multimedia/gnash/gnash.SlackBuild117
1 files changed, 117 insertions, 0 deletions
diff --git a/multimedia/gnash/gnash.SlackBuild b/multimedia/gnash/gnash.SlackBuild
new file mode 100644
index 0000000000..6cd548e10c
--- /dev/null
+++ b/multimedia/gnash/gnash.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for gnash
+
+# Copyright 2012 Kyle Guinn <elyk03@gmail.com>, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnash
+VERSION=${VERSION:-0.8.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-st .
+
+# Fix paths for kde plugin and a cve patch.
+# Ripped from gentoo
+patch -p1 < $CWD/patch/gnash-0.8.10-klash.patch
+patch -p1 < $CWD/patch/gnash-0.8.10-kde4-libdir.patch
+patch -p1 < $CWD/patch/gnash-0.8.10-cve-2012-1175.patch
+
+autoreconf
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-write \
+ --without-gconf \
+ --with-plugins-install=system \
+ --with-kde4-incl=/usr/include \
+ --with-kde4-configdir=/usr/share/config \
+ --with-kde4-prefix=/usr \
+ --with-kde4-lib=/usr/lib$LIBDIRSUFFIX \
+ --with-kde-appsdatadir=/usr/share/apps/klash \
+ --with-kde4-servicesdir=/usr/share/kde4/services
+
+make
+make install-strip install-plugins DESTDIR=$PKG
+
+# make install-plugins doesn't strip the plugins.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/etc -type f -exec mv {} {}.new \;
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}